#!perl -w

#php add_graph_cl.php --username=soap --password=soap --urn=localhost/cacti --do=--list-hosts

use SOAP::Lite;
#use Data::Dumper;

my $SOAPHeader = SOAP::Header
	->name("authenticate_user" =>
		\SOAP::Data->value( 
		SOAP::Data->name("username")->value('soap'),
        SOAP::Data->name("password")->value('soap')));
#    ->attr({"xmlns"=>$uri});

my $AdminService = SOAP::Lite
	->uri('pc_SOAP_return_soap')
	->proxy('http://localhost/cacti/soap_service.php');
		
my $returnResult = $AdminService
    -> call(return_list_IDHostname_get_Hosts, $SOAPHeader)
    #-> call(return_list, $SOAPHeader)
    -> result;
    
	#print "Dumper method:\n\n";
	#print Dumper($returnResult);
	#print "\nEnd of method\n\n";
	
	if (defined $returnResult->{'Errors'}){
		$errors = $returnResult->{'Errors'};
		foreach $error (@{$errors}){
			print "Error: " , $error->{'description'} , " - " , $error->{'function'} , "/" , $error->{'variable'} , "\n";
		}
		exit 1;
	}
	
	$result = $returnResult->{'Result'};
	foreach my $key ( sort(keys %{$result}) ) {
		print $key, ": ", $result->{$key} || '', "\n";
	}


